System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.TypeConverter

The method for this type converter always returns null, and the method always returns false.

For more information about type converters, see the base class and How to: Implement a Type Converter.

You should never create an instance of the class. Instead, call the method of the class. For more information, see the examples in the base class.

Provides a type converter to convert collection objects to and from various other representations.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  The converted result will be shown in the property browser. For example, if you are converting a char collection into a string, it will be displayed as char[] collection.

  Converts the given value object to the specified destination type.

  An that represents the converted value.

  An that provides a format context. The culture to which will be converted. The to convert. This parameter must inherit from . The to convert the value to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` `` ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  The attributes array that you pass in will be used to filter the array. The attributes can have a mix of and objects. Filtering is defined by the following rules:

  A object will be treated as a wildcard; it will match any property that has the in its set of attributes.

  If a property does not have an of the same class, the property will not be included in the returned array.

  If the attribute is an instance of , the property must be an exact match or it will not be included in the returned array.

  If an instance is specified and it is the default property, it will be included in the returned array even if there is no instance of the in the property.

  Collections do not support properties; therefore, this method always returns null.

  Gets a collection of properties for the type of array specified by the value parameter using the specified context and attributes.

  A with the properties that are exposed for this data type, or null if there are no properties. This method always returns null.

  An that provides a format context. An that specifies the type of array to get the properties for. An array of type that will be used as a filter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Collections do not support properties; therefore, this method always returns false.

  Gets a value indicating whether this object supports properties.

  false because should not be called to find the properties of this object. This method never returns true.

  An that provides a format context.